Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ee.ut.ga.business
Class ReproductionMethods

    java.lang.Object
      ee.ut.ga.business.ReproductionMethods

public class ReproductionMethods
extends java.lang.Object

Field Summary
`static org.apache.log4j.Logger` | `log`

Constructor Summary
`ReproductionMethods()`

Method Summary
`private static PWM` | `addColumn(PWM parentPWM, int position, java.util.Map priors)` Adds column into PWM at the specified position.
`private static PWM` | `addColumn(PWM parentPWM, java.util.Map priors)` Adds column into PWM at random position.
`private static PWM` | `deleteColumn(PWM parentPWM, int position, java.util.Map priors)` Deletes column in PWM at the specified position.
`private static PWM` | `deleteColumn(PWM parentPWM, java.util.Map priors)` Deletes random column in PWM.
`static PWM` | `reproduct(java.util.List parents, java.util.Map priors, int PWM_MIN_LENGTH)` Reproducts new PWM using random parent and random reproduction method.
`private static PWM` | `reproduct(PWM parentPWM, int mutationTimes, java.util.Map priors, int PWM_MIN_LENGTH)` Randomly chooses one of reproduction methods.
`private static PWM` | `reproduct(PWM parentPWM, java.util.Map priors, int PWM_MIN_LENGTH)` Randomly chooses one of reproduction methods.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.log4j.Logger log

Constructor Detail

### ReproductionMethods

    public ReproductionMethods()

Method Detail

### reproduct

    public static PWM reproduct(java.util.List parents,
                                java.util.Map priors,
                                int PWM_MIN_LENGTH)
                         throws java.lang.Exception

  Reproducts new PWM using random parent and random reproduction method.

  Throws:
    `java.lang.Exception`

### reproduct

    private static PWM reproduct(PWM parentPWM,
                                 int mutationTimes,
                                 java.util.Map priors,
                                 int PWM_MIN_LENGTH)
                          throws java.lang.Exception

  Randomly chooses one of reproduction methods.

  Throws:
    `java.lang.Exception`

### reproduct

    private static PWM reproduct(PWM parentPWM,
                                 java.util.Map priors,
                                 int PWM_MIN_LENGTH)
                          throws java.lang.Exception

  Randomly chooses one of reproduction methods.

  Throws:
    `java.lang.Exception`

### deleteColumn

    private static PWM deleteColumn(PWM parentPWM,
                                    int position,
                                    java.util.Map priors)
                             throws java.lang.Exception

  Deletes column in PWM at the specified position.

  Throws:
    `java.lang.Exception`

### deleteColumn

    private static PWM deleteColumn(PWM parentPWM,
                                    java.util.Map priors)
                             throws java.lang.Exception

  Deletes random column in PWM.

  Throws:
    `java.lang.Exception`

### addColumn

    private static PWM addColumn(PWM parentPWM,
                                 int position,
                                 java.util.Map priors)
                          throws java.lang.Exception

  Adds column into PWM at the specified position.

  Throws:
    `java.lang.Exception`

### addColumn

    private static PWM addColumn(PWM parentPWM,
                                 java.util.Map priors)
                          throws java.lang.Exception

  Adds column into PWM at random position.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD